Bug 849961 - [abrt] xscreensaver-gl-extras-5.19-1.fc17: scale_for_window: Process /usr/libexec/xscreensaver/lament was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-gl-extras-5.19-1.fc17: scale_for_window: Process /usr/lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:78d6e65be4c9fbcf15631231b41...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 06:32 EDT by David Tonhofer
Modified: 2012-09-17 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 17:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (18.63 KB, text/plain)
2012-08-21 06:32 EDT, David Tonhofer
no flags Details
File: backtrace (47.97 KB, text/plain)
2012-08-21 06:32 EDT, David Tonhofer
no flags Details
Abrt logfile created by using the 5.19-2.fc17.x86_64 edition (77.89 KB, text/plain)
2012-08-22 16:10 EDT, David Tonhofer
no flags Details

  None (edit)
Description David Tonhofer 2012-08-21 06:32:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/xscreensaver/lament -window-id 0x4600022 -delay 20000 -wireframe
crash_function: scale_for_window
executable:     /usr/libexec/xscreensaver/lament
kernel:         3.5.2-1.fc17.x86_64
pid:            2730
pwd:            /home/hobbes/Documents
remote_result:  NOTFOUND
time:           Tue 21 Aug 2012 12:29:31 PM CEST
uid:            1000
username:       hobbes

backtrace:      Text file, 49123 bytes
maps:           Text file, 19079 bytes

build_ids:
:fc13956ed359736e6a145d384f112723fd62f20d
:72c9d0e973ad7f3b20f3883a199878da7f52c39f
:6086bff484a49cc8b80cb714d7e83a6391394800
:432673620d62333d4fd707b7bed13abe192f8b35
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:b34676a7754197b3aa0ab7fba51844207d644e8d
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:6416c64fde1d567429c32475ee874558589d305a
:02db68322dfc216e5403a39891cfcc2e1935f94a
:7dc1c0c335214ab41492bd888c04d6f52819c961
:967cc33d09d689573119194911c6931f3ae89a98
:fa81176245f9e4370b3ffe6dd8db8a17646c70e9
:7854f755865cf71bd8c15ad701578345c4ffebee
:602961bbc6a8c6f27b106252eefdd6d7ac18b8ed
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1
:f4c064df8745dff15466d705fb049138f9a5c949
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:c4ec0971b2dcee71aaf8374975474054245fea00
:915e1b6a9e9b38aaf13a1d647d11751c3de5301b
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:f75e635765776169c41454693ad8b03868fecc01
:404cbecd24d186758ed474b345313da28b2990fa
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:5ffd7826c0daece3a4ef687af6478f1592847baa
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:da0831cf9c551543fbc94e797a102a57a30e790f
:e91010b497ec024178c36f4365b21f668bada0ca
:54a5cc118d928470da13565de8592b664a9868e0
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:822e9b3523e8312240f41a25722d539bc77ed436
:1d4df97fa6024b097b634a272447243c95c26d85
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/hobbes/1

comment:
:Open the "system settings" dialog for screensavers in KDE
:Select "OpenGL Screen Savers" / "Lament"
:Select "Configure"
:Select "Wireframe"
:A crash occurs

core_backtrace:
:967cc33d09d689573119194911c6931f3ae89a98 0x531a - [exe] -
:967cc33d09d689573119194911c6931f3ae89a98 0xacb1 - [exe] -
:967cc33d09d689573119194911c6931f3ae89a98 0x3fdd - [exe] -

dso_list:
:/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1344177378
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1344177422
:/usr/lib64/libdrm.so.2.4.0 libdrm-2.4.33-3.fc17.x86_64 (Fedora Project) 1344177474
:/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1344177378
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.5.0-2.fc17.x86_64 (Fedora Project) 1344178213
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719215
:/usr/lib64/libGL.so.1.2 mesa-libGL-8.0.3-3.fc17.x86_64 (Fedora Project) 1344178213
:/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1344177378
:/usr/lib64/libglapi.so.0.0.0 mesa-libglapi-8.0.3-3.fc17.x86_64 (Fedora Project) 1344177497
:/usr/libexec/xscreensaver/lament xscreensaver-gl-extras-1:5.19-1.fc17.x86_64 (Fedora Project) 1345415758
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1337719214
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719213
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.x86_64 (Fedora Project) 1337719270
:/usr/lib64/libm-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/libX11.so.6.3.0 libX11-1.5.0-2.fc17.x86_64 (Fedora Project) 1344178213
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-3.fc17.x86_64 (Fedora Project) 1337719270
:/usr/lib64/libGLU.so.1.3.08003 mesa-libGLU-8.0.3-3.fc17.x86_64 (Fedora Project) 1344178231
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.x86_64 (Fedora Project) 1344177394
:/usr/lib64/libdl-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/libpthread-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/libxcb-glx.so.0.0.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1344177422
:/usr/lib64/dri/nouveau_dri.so mesa-dri-drivers-8.0.3-3.fc17.x86_64 (Fedora Project) 1344178639
:/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1344177378
:/usr/lib64/llvm/libLLVM-3.0.so llvm-libs-3.0-13.fc17.x86_64 (Fedora Project) 1344177499
:/usr/lib64/libc-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2600.1 gdk-pixbuf2-2.26.1-1.fc17.x86_64 (Fedora Project) 1337719269
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1337719213
:/usr/lib64/libXxf86vm.so.1.0.0 libXxf86vm-1.1.2-1.fc17.x86_64 (Fedora Project) 1337719271
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719213
:/usr/lib64/libgdk_pixbuf_xlib-2.0.so.0.2600.1 gdk-pixbuf2-2.26.1-1.fc17.x86_64 (Fedora Project) 1337719269
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1337719214
:/usr/lib64/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.x86_64 (Fedora Project) 1337719214
:/usr/lib64/libXpm.so.4.11.0 libXpm-3.5.10-1.fc17.x86_64 (Fedora Project) 1337719269
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1337719269
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719213
:/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1344177378
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719205
:/usr/lib64/libdrm_nouveau.so.1.0.0 libdrm-2.4.33-3.fc17.x86_64 (Fedora Project) 1344177474
:/usr/lib64/librt-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/libresolv-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/ld-2.15.so glibc-2.15-56.fc17.x86_64 (Fedora Project) 1345313227
:/usr/lib64/libXt.so.6.0.0 libXt-1.1.2-2.fc17.x86_64 (Fedora Project) 1337719270
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1337719214
:/usr/lib64/libXmu.so.6.2.0 libXmu-1.1.0-3.fc17.x86_64 (Fedora Project) 1337719270

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1217
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=XXXX
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/hobbes/.gtkrc-2.0:/home/hobbes/.gtkrc-2.0-kde4:/home/hobbes/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=hobbes
:SSH_AUTH_SOCK=/tmp/ssh-obSlhQLF1192/agent.1192
:DESKTOP_SESSION=kde-plasma-safe
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/hobbes/.local/bin:/home/hobbes/bin
:MAIL=/var/spool/mail/hobbes
:PWD=/home/hobbes
:KWIN_COMPOSE=N
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/hobbes
:KDE_SESSION_VERSION=4
:KDE_FAILSAFE=1
:LOGNAME=hobbes
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fNYyPH9MbT,guid=3bc424edce22f71c4d7de50e00000042
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/hobbes
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/hobbes/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:XAUTHORITY=/tmp/kde-hobbes/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1289,unix/unix:/tmp/.ICE-unix/1289
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/hobbes/.gtkrc:/home/hobbes/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:LANGUAGE=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 14846                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       14846                14846                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[327934]
:pos:	0
:flags:	00
:1:/home/hobbes/.xsession-errors
:pos:	16261
:flags:	0100001
:2:/home/hobbes/.xsession-errors
:pos:	16261
:flags:	0100001
:3:socket:[327345]
:pos:	0
:flags:	02004002
:4:/dev/dri/card0
:pos:	0
:flags:	0100002
Comment 1 David Tonhofer 2012-08-21 06:32:38 EDT
Created attachment 605906 [details]
File: maps
Comment 2 David Tonhofer 2012-08-21 06:32:41 EDT
Created attachment 605907 [details]
File: backtrace
Comment 3 Mamoru TASAKA 2012-08-21 23:52:09 EDT
100% reproducible.
Comment 4 Fedora Update System 2012-08-22 00:53:54 EDT
xscreensaver-5.19-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xscreensaver-5.19-2.fc18
Comment 5 Fedora Update System 2012-08-22 00:54:24 EDT
xscreensaver-5.19-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xscreensaver-5.19-2.fc17
Comment 6 Fedora Update System 2012-08-22 00:55:00 EDT
xscreensaver-5.19-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xscreensaver-5.19-2.fc16
Comment 7 David Tonhofer 2012-08-22 16:00:06 EDT
Configure "lament" screensaver.
Select "wireframe: yes" and "texture: no"
Crash occurs.


backtrace_rating: 4
Package: xscreensaver-gl-extras-5.19-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 David Tonhofer 2012-08-22 16:10:05 EDT
Created attachment 606372 [details]
Abrt logfile created by using the 5.19-2.fc17.x86_64 edition

The little nazi abrt tool wouldn't submit properly (it doesn't know that the packages have been upgraded?) Attaching manually...
Comment 9 Fedora Update System 2012-08-22 17:13:21 EDT
Package xscreensaver-5.19-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xscreensaver-5.19-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12522/xscreensaver-5.19-2.fc17
then log in and leave karma (feedback).
Comment 10 David Tonhofer 2012-08-22 19:02:26 EDT
Nope, xscreensaver-5.19-2.fc17 does not work, see comment#8
Comment 11 Mamoru TASAKA 2012-08-22 21:06:41 EDT
Please try -3.
Comment 12 David Tonhofer 2012-08-23 04:24:13 EDT
Seems to work with "xscreensaver-5.19-3.fc17" 

Lament configuration no longer crashes :-)

(I remember the Lament running on an Sun IPC way back when ... are these false memories?)
Comment 13 Fedora Update System 2012-08-31 17:26:53 EDT
xscreensaver-5.19-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-08-31 17:27:05 EDT
xscreensaver-5.19-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-17 19:12:41 EDT
xscreensaver-5.19-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.